public class RGBInversionFilter implements PixelFilter {
	public int filter(int pixel) {
		return Pixels.packPixel(
			Pixels.getAlpha(pixel),			// alpha
			255 - Pixels.getRed(pixel),		// red
			255 - Pixels.getGreen(pixel),	// green
			255 - Pixels.getBlue(pixel));	// blue
	}
	
	public String toString() {
		return "RGB Inversion";
	}
}